## fcamera 0.1.1-2

=== Makefile ===
#############################################################################
# Makefile for building: fcamera
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Jul 20 20:15:51 2010
# Project:  fcamera.pro
# Template: app
# Command: c:/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-pr12/bin/qmake.exe -unix -o Makefile fcamera.pro
#############################################################################

first: release
install: release-install
uninstall: release-uninstall
MAKEFILE      = Makefile
QMAKE         = c:/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-pr12/bin/qmake.exe
DEL_FILE      = rm
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir
COPY          = cp
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = mv
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir
SUBTARGETS    =  \
		release \
		debug

release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall
debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall

Makefile: fcamera.pro  c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/win32-g++/qmake.conf c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/release.prf \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/debug_and_release.prf \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf
	$(QMAKE) -unix -o Makefile fcamera.pro
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/release.prf:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/debug_and_release.prf:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf:
c:/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile fcamera.pro

qmake_all: FORCE

make_default: release-make_default debug-make_default FORCE
make_first: release-make_first debug-make_first FORCE
all: release-all debug-all FORCE
clean: release-clean debug-clean FORCE
distclean: release-distclean debug-distclean FORCE
	-$(DEL_FILE) Makefile

debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -r -us -uc -d -I\.svn; mv ../$(QMAKE_TARGET)_*{.dsc,.tar.gz,_source.changes} .

debian-bin:
	dpkg-buildpackage -b -r -uc -d; mv ../$(QMAKE_TARGET)_*_armel.{deb,changes} .

compiler_clean:
	-$(DEL_FILE) $(TARGET)

go: $(TARGET)
	mad remote -r N900 send $(TARGET); mad remote -r N900 run $(QMAKE_TARGET)

gobug: $(TARGET)
	mad remote -r N900 send $(TARGET); mad remote -r N900 debug $(QMAKE_TARGET)

release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
mocclean: release-mocclean debug-mocclean

release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
mocables: release-mocables debug-mocables
FORCE:

$(MAKEFILE).Release: Makefile
$(MAKEFILE).Debug: Makefile

## fcamera 0.1.1-1

=== debian/changelog ===
fcamera (0.1.1-1) unstable; urgency=low

  * Fixed the icon location

 -- Andrew Adams <abadams@stanford.edu>  Tue, 20 Jul 2010 8:10:00 -0700
	

fcamera (0.1.0-1) unstable; urgency=low

  * Initial Release.

 -- Andrew Adams <abadams@stanford.edu>  Tue, 20 Jul 2010 10:30:00 -0700

=== debian/control ===
Source: fcamera
Section: user/multimedia
Priority: extra
Maintainer: David Jacobs <dejacobs@cs.stanford.edu>
Build-Depends: libqt4-dev, pulseaudio-dev, fcam-dev, debhelper (>= 5)
Standards-Version: 3.7.3
Homepage: http://fcam.garage.maemo.org/

Package: fcamera
Architecture: armel
Depends: fcam-drivers, ${shlibs:Depends}, ${misc:Depends}
Description: A camera for the N900 with manual controls
 FCamera is an example application for the FCam API. It is a camera with full manual controls that shoots raw.
# XB-Maemo-Icon-26 field contains the application icon file encoded in
# base64. This is the icon that is shown in the Application Manager,
# next to the package name. To perform this encoding use following mad
# command: $ mad base64 <48x48 icon file name>
# For example following XB-Maemo-Icon-26 field content is an output
# from command: $ mad base64 fcamera/src/data/48x48/fcamera.png
Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAKRGlDQ1BJQ0MgUHJvZmlsZQAAeAGd
 lndUFNcXx9/MbC+0XZYiZem9twWkLr1IlSYKy+4CS1nWZRewN0QFIoqICFYkKGLAaCgSK6JYCAgW
 7AEJIkoMRhEVlczGHPX3Oyf5/U7eH3c+8333nnfn3vvOGQAoASECYQ6sAEC2UCKO9PdmxsUnMPG9
 AAZEgAM2AHC4uaLQKL9ogK5AXzYzF3WS8V8LAuD1LYBaAK5bBIQzmX/p/+9DkSsSSwCAwtEAOx4/
 l4tyIcpZ+RKRTJ9EmZ6SKWMYI2MxmiDKqjJO+8Tmf/p8Yk8Z87KFPNRHlrOIl82TcRfKG/OkfJSR
 EJSL8gT8fJRvoKyfJc0WoPwGZXo2n5MLAIYi0yV8bjrK1ihTxNGRbJTnAkCgpH3FKV+xhF+A5gkA
 O0e0RCxIS5cwjbkmTBtnZxYzgJ+fxZdILMI53EyOmMdk52SLOMIlAHz6ZlkUUJLVlokW2dHG2dHR
 wtYSLf/n9Y+bn73+GWS9/eTxMuLPnkGMni/al9gvWk4tAKwptDZbvmgpOwFoWw+A6t0vmv4+AOQL
 AWjt++p7GLJ5SZdIRC5WVvn5+ZYCPtdSVtDP6386fPb8e/jqPEvZeZ9rx/Thp3KkWRKmrKjcnKwc
 qZiZK+Jw+UyL/x7ifx34VVpf5WEeyU/li/lC9KgYdMoEwjS03UKeQCLIETIFwr/r8L8M+yoHGX6a
 axRodR8BPckSKPTRAfJrD8DQyABJ3IPuQJ/7FkKMAbKbF6s99mnuUUb3/7T/YeAy9BXOFaQxZTI7
 MprJlYrzZIzeCZnBAhKQB3SgBrSAHjAGFsAWOAFX4Al8QRAIA9EgHiwCXJAOsoEY5IPlYA0oAiVg
 C9gOqsFeUAcaQBM4BtrASXAOXARXwTVwE9wDQ2AUPAOT4DWYgSAID1EhGqQGaUMGkBlkC7Egd8gX
 CoEioXgoGUqDhJAUWg6tg0qgcqga2g81QN9DJ6Bz0GWoH7oDDUPj0O/QOxiBKTAd1oQNYSuYBXvB
 wXA0vBBOgxfDS+FCeDNcBdfCR+BW+Bx8Fb4JD8HP4CkEIGSEgeggFggLYSNhSAKSioiRlUgxUonU
 Ik1IB9KNXEeGkAnkLQaHoWGYGAuMKyYAMx/DxSzGrMSUYqoxhzCtmC7MdcwwZhLzEUvFamDNsC7Y
 QGwcNg2bjy3CVmLrsS3YC9ib2FHsaxwOx8AZ4ZxwAbh4XAZuGa4UtxvXjDuL68eN4KbweLwa3gzv
 hg/Dc/ASfBF+J/4I/gx+AD+Kf0MgE7QJtgQ/QgJBSFhLqCQcJpwmDBDGCDNEBaIB0YUYRuQRlxDL
 iHXEDmIfcZQ4Q1IkGZHcSNGkDNIaUhWpiXSBdJ/0kkwm65KdyRFkAXk1uYp8lHyJPEx+S1GimFLY
 lESKlLKZcpBylnKH8pJKpRpSPakJVAl1M7WBep76kPpGjiZnKRcox5NbJVcj1yo3IPdcnihvIO8l
 v0h+qXyl/HH5PvkJBaKCoQJbgaOwUqFG4YTCoMKUIk3RRjFMMVuxVPGw4mXFJ0p4JUMlXyWeUqHS
 AaXzSiM0hKZHY9O4tHW0OtoF2igdRzeiB9Iz6CX07+i99EllJWV75RjlAuUa5VPKQwyEYcgIZGQx
 yhjHGLcY71Q0VbxU+CqbVJpUBlSmVeeoeqryVYtVm1Vvqr5TY6r5qmWqbVVrU3ugjlE3VY9Qz1ff
 o35BfWIOfY7rHO6c4jnH5tzVgDVMNSI1lmkc0OjRmNLU0vTXFGnu1DyvOaHF0PLUytCq0DqtNa5N
 03bXFmhXaJ/RfspUZnoxs5hVzC7mpI6GToCOVGe/Tq/OjK6R7nzdtbrNug/0SHosvVS9Cr1OvUl9
 bf1Q/eX6jfp3DYgGLIN0gx0G3QbThkaGsYYbDNsMnxipGgUaLTVqNLpvTDX2MF5sXGt8wwRnwjLJ
 NNltcs0UNnUwTTetMe0zg80czQRmu836zbHmzuZC81rzQQuKhZdFnkWjxbAlwzLEcq1lm+VzK32r
 BKutVt1WH60drLOs66zv2SjZBNmstemw+d3W1JZrW2N7w45q52e3yq7d7oW9mT3ffo/9bQeaQ6jD
 BodOhw+OTo5ixybHcSd9p2SnXU6DLDornFXKuuSMdfZ2XuV80vmti6OLxOWYy2+uFq6Zroddn8w1
 msufWzd3xE3XjeO2323Ineme7L7PfchDx4PjUevxyFPPk+dZ7znmZeKV4XXE67m3tbfYu8V7mu3C
 XsE+64P4+PsU+/T6KvnO9632fein65fm1+g36e/gv8z/bAA2IDhga8BgoGYgN7AhcDLIKWhFUFcw
 JTgquDr4UYhpiDikIxQODQrdFnp/nsE84by2MBAWGLYt7EG4Ufji8B8jcBHhETURjyNtIpdHdkfR
 opKiDke9jvaOLou+N994vnR+Z4x8TGJMQ8x0rE9seexQnFXcirir8erxgvj2BHxCTEJ9wtQC3wXb
 F4wmOiQWJd5aaLSwYOHlReqLshadSpJP4iQdT8YmxyYfTn7PCePUcqZSAlN2pUxy2dwd3Gc8T14F
 b5zvxi/nj6W6pZanPklzS9uWNp7ukV6ZPiFgC6oFLzICMvZmTGeGZR7MnM2KzWrOJmQnZ58QKgkz
 hV05WjkFOf0iM1GRaGixy+LtiyfFweL6XCh3YW67hI7+TPVIjaXrpcN57nk1eW/yY/KPFygWCAt6
 lpgu2bRkbKnf0m+XYZZxl3Uu11m+ZvnwCq8V+1dCK1NWdq7SW1W4anS1/+pDa0hrMtf8tNZ6bfna
 V+ti13UUahauLhxZ77++sUiuSFw0uMF1w96NmI2Cjb2b7Dbt3PSxmFd8pcS6pLLkfSm39Mo3Nt9U
 fTO7OXVzb5lj2Z4tuC3CLbe2emw9VK5YvrR8ZFvottYKZkVxxavtSdsvV9pX7t1B2iHdMVQVUtW+
 U3/nlp3vq9Orb9Z41zTv0ti1adf0bt7ugT2ee5r2au4t2ftun2Df7f3++1trDWsrD+AO5B14XBdT
 1/0t69uGevX6kvoPB4UHhw5FHupqcGpoOKxxuKwRbpQ2jh9JPHLtO5/v2pssmvY3M5pLjoKj0qNP
 v0/+/tax4GOdx1nHm34w+GFXC62luBVqXdI62ZbeNtQe395/IuhEZ4drR8uPlj8ePKlzsuaU8qmy
 06TThadnzyw9M3VWdHbiXNq5kc6kznvn487f6Iro6r0QfOHSRb+L57u9us9ccrt08rLL5RNXWFfa
 rjpebe1x6Gn5yeGnll7H3tY+p772a87XOvrn9p8e8Bg4d93n+sUbgTeu3px3s//W/Fu3BxMHh27z
 bj+5k3Xnxd28uzP3Vt/H3i9+oPCg8qHGw9qfTX5uHnIcOjXsM9zzKOrRvRHuyLNfcn95P1r4mPq4
 ckx7rOGJ7ZOT437j154ueDr6TPRsZqLoV8Vfdz03fv7Db56/9UzGTY6+EL+Y/b30pdrLg6/sX3VO
 hU89fJ39ema6+I3am0NvWW+738W+G5vJf49/X/XB5EPHx+CP92ezZ2f/AAOY8/xJsCmYAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAK60lEQVRoBdVZa3BV1RX+zsl9hEcIUAl5gSVPS3gHKYNVaa1CQaFo
 B6Utai04ONOq2GFGpyAUsWVEZVqLw0to1emDhzzVP21FCVolQSAQIPKoBAiCARLI496b3PT79slJ
 Qrwk94I/ZGXOuWfvs/e3Hnuttdc+sRobG3E9k309Cy/Zr3sFPF/DCljE0HU1JP+9Jh++VgUk+LUK
 4WJcjQFwLQrI/cKBQCAHtn1HQzjcGGfbjfxtdzXcMfy1EA7/2+/3lxLHYF2NBm0VEPN2BWhiIquH
 9dxo2zPjvd4ZdcEgZQ/HdTSZY2BbVoPf642rC4WWEuIxwfDS1JjdybqWNErrZzZa1gd+ny81EAzC
 6/WiIzzLshAKhcA54JxTFOA2rsIRCh/Hq4FXTKQV0CVreoLB4DgKlMbn+rauoKVnvzEwmb7v8/kO
 sD02XsKHQg0UzL506RK7Oqb4+HgEQ6Gw5tYEAmM449WioiL7Yn6+NTrGVbhsBeoCgW3xfv/tdAcp
 ZLvWlNVI1M0QtWuY0Nnv30IX+JjuM6KeflFSUmJPe/gXSE1Po2tz+lc2SAt2nI1TJ05g5eq/oH9e
 /7DHtm3y+oiKjBKDqyEPhZhKQespWjwsK7XJCe24uDjGpu04JYWhUI71qYxl23fWBgIZnHNzA99x
 5az1a9ZiZ1EhoKsDWr92LbKyn7Esv18jR1CJZ8j3KPF8HfpgG2yLgrQOHOriNBsaGqBLRGB4PB4F
 nxtl1MGWUo1U1DpdXo6Hpz6IPTsL0SezH0LBUBs2TtPr8+LEkf9h8Ih8rH79dSSnpKC+vh4yllm1
 iLO+2il5XKJMtGjTJWEYiJbX57N2bC+wxo8Za907YaI1f948q6qqigbzW1REYwxTjfdRsR0FO/De
 +9uQ3DcdtTW1NKJJUC4P86s+vevdJw3/2baNcwqguTKMFBBmhxcDX2NcefXrMSaXQjR8RUWFpQwh
 S5eXn8KOjz40zBMSEiArN9K3ZTFONOsk7ZmJUFCw3Yzr2rUrvjz7JUpp5UiUceO30b1Hd/OqYHsB
 vjtyJGgUhClEi00jzXT65B1MHkjs3t0oobZVU1cnN4AE+ePixdi7Zw8SEroZBY4ePsyBNromdEV2
 Tg78zB6NYWpqFG5EHK13+lQ5Pj92DJWVlThxutxwGn3b7Ujvk45OnTqZdm1tLU6UncC2D9437fTk
 FCQmJuLGjH7GjRpoFDJypLzCnVkQFy9exKDBg/HEzJlGcbm42ci0FNLmQEkJ1q5bZyASbC960yWU
 ms+e/gKFu3ZFhE5L6o2TZ75AHhX81ZNPYNCgwcgbOAA9evRo9mvFy/nz57G/eB/27t2DN1atxv5D
 B3GuogLlX56NiHulTrmQsXyTwkYBha30l6uIhlLLmkvVxl3UZkygf26uWQ21BSDfVeDtO1CC+b+b
 j3smTmBqzDN+rTFtKaFLF/RNT8cdd/4QY8aOxdYtWzBnzhzk3fQdEwNNrtl2WnPb5/fhU+MdjowU
 wZBRQE9qu5kgUBdoFt6842j1uc8SXgxLjxzGm2++SeEnohv9nxsaPi8rw66iIhw7etTsuJojq/XL
 yMCw/HwkJydjCA2UkZmJrKwsTJkyBVn9MpiyLdSHTHwZPm1vMprIldHZUp1duO3YdtuKF+ZQHDr8
 GTZs2IC7J0yA/PMUg/zdd97ByuXLsfuTT1DXBkUZf+iIEZj26KP40bhxSGEK/cnkydCuPGnSJORm
 ZcecTsUi5gNNPANTwi9btgx3jRkL7qYo3rcPM6ZPx7Rp0/DfCMKLkdZP7zRGY4uLi83cu8aMMVjC
 FHas1OxC0UxUCttfsh/3/ngSxo0fj86d4nGotBS/+fXjyMzOxksvvUw3CJkYiYRn8jbdqfTgQTz1
 +BNYsmwpchn8whLmxo0bkJudo5090vSIfTEp4GUgaYua+tBDSE9LQyXT2msrVuJf297DwpdexICB
 A43fS9CvEF24kX+Kh320/nDGg+b+9tk5BkuYb1EB8YhFgahdSL66l67ywOT7MXTYMBP0uwqLsOjF
 Rbh5WL6pmyTcFS+WEe47pdXhxNBcYSg8hXk/scVD+020FLUCSqWiobRc3759UF1Tg62bN5s+bSjK
 Dq0vZQ219RvpCjc45cYWYghLmMPyhxk8l5dpdHCLyoXkEioxRL169TIZrIZMP2PgiZwU57iNrFvH
 nXcXN74LFy6YzMIBzjjePcxix7hz19c7eAcPHICwunbubLA1UHHkbq5mYju3GBRwAkslgOjkyZMs
 D8rMs8nNlF+KKM1e5MFm1uMzUVS827yPdMvNzEJSYnec5PlAWEk33MDywqmTQqHg16uABGDNauRw
 K80QM4XKZscHFaEsrLhScqcEbmqL/rS4ZQWaNJCC2gS1yS1d8iqCtQGoDhKWKNxcxYqXs2rmRTu3
 qFZA8x034cZBFxGpUOvcpbNzsne3RfZrNRSEo265xcxpzkgUXiIpkPfs3o2Vy5bjQrAWOSwU3aLP
 xZYxoqWogthYjoxF7rk3lWlU8SBqZmxaLTf1SwFztX5mnztHGMISVTedqT3k5RqsBS3yU9QKaBMT
 letcwF/V8UOGOlmj1QKYMbrJlZTPFfxtL9VRLglDWMJUOSISr2gViNqFdF4Q7di+HZPuuw/ZLMbG
 33M3nv/988Yt9E5MZdlL3OCUHnUGaC2MnCjOjsNpnhtc1xKGMtBnR47gQ2KLXF6m0cEtagWCVGBQ
 3gBs3roVj86YYRRQ+Txn9mw8t2CBsaKXGYhpCJWMg01vbcTGLZsisu+bkorjPPHNmzvXlOAapPJC
 2OLhulLEyW06o1ZA85TeRG/89XUMGjIEfei7j7AwO368jFXoCpYSA4zr6ORUVVXJMrkfq81OJrCV
 V/ipg4HfBR/v/AQPTp2Khx55BIk8g5QxjQpT5PIwjShuMSmgM8HA/nn459o1GDlqFEvj6dxB+2L2
 3GfxHK05ncq4lJORyVWJN8KbPgauLFvMYvAxruBTs2aZuZe4ia1fu85gCltjXPdysdr7jUkBAWuX
 zeEmNHPmk0hLSzXngUweVl54+WXc/v0fYOkrr2Dn7k9RelRfCy+nATm5WLFihZnTOykJ/JCGd99+
 22AJU9ixCC/0KyugXEyB25Kyi3xdfjyZB5LXVq3CRJ7IejMd/mzqz6nEaJQdP24qzqrKKjO9W2I3
 U6n24Wql81jJD7uoOHcOmzZtwi/pRsKS4PziF1mBdvaFyxRwc7OPaa09Urbp/q2eSKBgEuDw00/j
 gSk/5ZkgC5n0e13ayKSsSOWFvgGJqmnlQwcO4h9//xv+sHAh8nJvQpzXY3b19g40rkyujCbvEs+g
 unaurq42THbzy0EsJEF0LWA2Gj58OJJ6J6MnFezB7zeiMyzqzlWcw5kvTqOwsBCzmblc0teJWMiV
 0XUOo4AsqiVMSU3Fbbfeip49ezZbr2Nwy1hYGOvWrMHyPy/B90aPRnJqCnfqJDP97Nkz5vtRAb/I
 9UzqhYkTJhp+zgpFVzZoFc/R7SSjZBU/kb6NNn8H1M7pvjBvY7zpix7RjfLu2UAQWnZdEoIM9CUu
 RuSW4RLerQrUa/FTCGV2VkBMWmvXMi22J2GI3F/XKO5vbGgto13ZnIOSsRU8ppbnGIE7L6SMOlom
 xvLU0TQ33mLBNGM5UQvnGkV9anvYMaM1WPOAq+R0ldNai3DF56aFvez9Zf+huezNddJQFoqqpP6m
 6iMFmrPQN1XI9uS6rq0vxa57Bf4PlDrTILAeLGcAAAAASUVORK5CYII=

## fcamera 0.1.1-2

=== debian/changelog ===
fcamera (0.1.1-2) unstable; urgency=low

  * Packaging fixes: missing bugtracker, pretty name, app install icon

 -- Eino-Ville Talvala <talvala@stanford.edu>  Tue, 20 Jul 2010 8:50:00 -0700

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,17 @@
 Package: fcamera
 Architecture: armel
 Depends: fcam-drivers, ${shlibs:Depends}, ${misc:Depends}
+XB-Maemo-Display-Name: FCamera
 Description: A camera for the N900 with manual controls
- FCamera is an example application for the FCam API. It is a camera with full manual controls that shoots raw.
+ FCamera is an example application for the FCam API. It is a camera with full manual controls that shoots RAW images.
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1693
 # XB-Maemo-Icon-26 field contains the application icon file encoded in
 # base64. This is the icon that is shown in the Application Manager,
 # next to the package name. To perform this encoding use following mad
 # command: $ mad base64 <48x48 icon file name>
 # For example following XB-Maemo-Icon-26 field content is an output
 # from command: $ mad base64 fcamera/src/data/48x48/fcamera.png
-Maemo-Icon-26:
+XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAKRGlDQ1BJQ0MgUHJvZmlsZQAAeAGd
  lndUFNcXx9/MbC+0XZYiZem9twWkLr1IlSYKy+4CS1nWZRewN0QFIoqICFYkKGLAaCgSK6JYCAgW
  7AEJIkoMRhEVlczGHPX3Oyf5/U7eH3c+8333nnfn3vvOGQAoASECYQ6sAEC2UCKO9PdmxsUnMPG9

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	qmake
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/fcamera.sgml > fcamera.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/fcamera.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/fcamera install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fcamera 0.1.2-1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: fcamera
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Jul 20 20:15:51 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jul 21 16:33:51 2010
 # Project:  fcamera.pro
 # Template: app
 # Command: c:/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-pr12/bin/qmake.exe -unix -o Makefile fcamera.pro

=== debian/changelog ===
fcamera (0.1.2-1) unstable; urgency=low

  * Added user-friendly dialog messages for missing driver errors

 -- David Jacobs <dejacobs@cs.stanford.edu>  Wed, 21 Jul 2010 4:05:00 -0700
 
 

## fcamera 0.1.3-1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: fcamera
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jul 21 16:33:51 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Jul 22 16:19:26 2010
 # Project:  fcamera.pro
 # Template: app
 # Command: c:/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-pr12/bin/qmake.exe -unix -o Makefile fcamera.pro

=== debian/changelog ===
fcamera (0.1.3-1) unstable; urgency=low

  * Fixed bug causing crash when deleting last photo while zoomed in.

  * Fixed overlay so that it restores original colorkey on destruction. This eliminates the green flash problem.

  * Added a trash feature to replace outright deletion. Photos are tagged as trash and removed from the review screen. Later they can be restored or deleted permanently in the extended settings file management tab.

  * Fixed in fcam-dev: DNG metadata corruption fixed, corrects cyan DNG rendering in DNG readers.

 -- David Jacobs <dejacobs@cs.stanford.edu>  Thu, 22 Jul 2010 3:50:00 -0700

## fcamera 0.1.6-1

=== Makefile ===
#############################################################################
# Makefile for building: build/fcamera
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Aug 16 16:11:50 2010
# Project:  fcamera.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile fcamera.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -mfpu=neon -mfloat-abi=softfp -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -Ibuild
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lFCam -ljpeg -lpulse-simple -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = src/Viewfinder.cpp \
		src/ThumbnailView.cpp \
		src/ImageItem.cpp \
		src/OverlayWidget.cpp \
		src/CameraThread.cpp \
		src/ScrollArea.cpp \
		src/CameraParameters.cpp \
		src/AdjustmentWidget.cpp \
		src/SettingsTree.cpp \
		src/SplashDialog.cpp \
		src/ExtendedSettings.cpp \
		src/SoundPlayer.cpp \
		src/UserDefaults.cpp \
		src/VisualizationWidget.cpp \
		src/PanicHandler.cpp \
		src/LEDBlinker.cpp \
		src/FCamera.cpp build/moc_Viewfinder.cpp \
		build/moc_ThumbnailView.cpp \
		build/moc_ImageItem.cpp \
		build/moc_CameraThread.cpp \
		build/moc_ScrollArea.cpp \
		build/moc_CameraParameters.cpp \
		build/moc_SettingsTree.cpp \
		build/moc_AdjustmentWidget.cpp \
		build/moc_SplashDialog.cpp \
		build/moc_ExtendedSettings.cpp \
		build/moc_VisualizationWidget.cpp \
		build/moc_PanicHandler.cpp
OBJECTS       = build/Viewfinder.o \
		build/ThumbnailView.o \
		build/ImageItem.o \
		build/OverlayWidget.o \
		build/CameraThread.o \
		build/ScrollArea.o \
		build/CameraParameters.o \
		build/AdjustmentWidget.o \
		build/SettingsTree.o \
		build/SplashDialog.o \
		build/ExtendedSettings.o \
		build/SoundPlayer.o \
		build/UserDefaults.o \
		build/VisualizationWidget.o \
		build/PanicHandler.o \
		build/LEDBlinker.o \
		build/FCamera.o \
		build/moc_Viewfinder.o \
		build/moc_ThumbnailView.o \
		build/moc_ImageItem.o \
		build/moc_CameraThread.o \
		build/moc_ScrollArea.o \
		build/moc_CameraParameters.o \
		build/moc_SettingsTree.o \
		build/moc_AdjustmentWidget.o \
		build/moc_SplashDialog.o \
		build/moc_ExtendedSettings.o \
		build/moc_VisualizationWidget.o \
		build/moc_PanicHandler.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		fcamera.pro
QMAKE_TARGET  = fcamera
DESTDIR       = build/
TARGET        = build/fcamera

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: fcamera.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile fcamera.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile fcamera.pro

dist: 
	@$(CHK_DIR_EXISTS) build/fcamera1.0.0 || $(MKDIR) build/fcamera1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/fcamera1.0.0/ && $(COPY_FILE) --parents src/Viewfinder.h src/ThumbnailView.h src/ImageItem.h src/OverlayWidget.h src/CameraThread.h src/ScrollArea.h src/CameraParameters.h src/SettingsTree.h src/AdjustmentWidget.h src/SplashDialog.h src/ExtendedSettings.h src/SoundPlayer.h src/UserDefaults.h src/VisualizationWidget.h src/PanicHandler.h src/LEDBlinker.h build/fcamera1.0.0/ && $(COPY_FILE) --parents src/Viewfinder.cpp src/ThumbnailView.cpp src/ImageItem.cpp src/OverlayWidget.cpp src/CameraThread.cpp src/ScrollArea.cpp src/CameraParameters.cpp src/AdjustmentWidget.cpp src/SettingsTree.cpp src/SplashDialog.cpp src/ExtendedSettings.cpp src/SoundPlayer.cpp src/UserDefaults.cpp src/VisualizationWidget.cpp src/PanicHandler.cpp src/LEDBlinker.cpp src/FCamera.cpp build/fcamera1.0.0/ && (cd `dirname build/fcamera1.0.0` && $(TAR) fcamera1.0.0.tar fcamera1.0.0 && $(COMPRESS) fcamera1.0.0.tar) && $(MOVE) `dirname build/fcamera1.0.0`/fcamera1.0.0.tar.gz . && $(DEL_FILE) -r build/fcamera1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -r -us -uc -d -I\.svn; mv ../$(QMAKE_TARGET)_*{.dsc,.tar.gz,_source.changes} .

debian-bin:
	dpkg-buildpackage -b -r -uc -d; mv ../$(QMAKE_TARGET)_*_armel.{deb,changes} .

compiler_clean:
	-$(DEL_FILE) $(TARGET)

go: $(TARGET)
	mad remote -r N900 send $(TARGET); mad remote -r N900 run $(QMAKE_TARGET)

gobug: $(TARGET)
	mad remote -r N900 send $(TARGET); mad remote -r N900 debug $(QMAKE_TARGET)

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc_Viewfinder.cpp build/moc_ThumbnailView.cpp build/moc_ImageItem.cpp build/moc_CameraThread.cpp build/moc_ScrollArea.cpp build/moc_CameraParameters.cpp build/moc_SettingsTree.cpp build/moc_AdjustmentWidget.cpp build/moc_SplashDialog.cpp build/moc_ExtendedSettings.cpp build/moc_VisualizationWidget.cpp build/moc_PanicHandler.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) build/moc_Viewfinder.cpp build/moc_ThumbnailView.cpp build/moc_ImageItem.cpp build/moc_CameraThread.cpp build/moc_ScrollArea.cpp build/moc_CameraParameters.cpp build/moc_SettingsTree.cpp build/moc_AdjustmentWidget.cpp build/moc_SplashDialog.cpp build/moc_ExtendedSettings.cpp build/moc_VisualizationWidget.cpp build/moc_PanicHandler.cpp
build/moc_Viewfinder.cpp: src/SettingsTree.h \
		src/AdjustmentWidget.h \
		src/OverlayWidget.h \
		linux/omapfb.h \
		src/CameraParameters.h \
		src/ImageItem.h \
		src/Viewfinder.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/Viewfinder.h -o build/moc_Viewfinder.cpp

build/moc_ThumbnailView.cpp: src/ImageItem.h \
		src/ThumbnailView.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/ThumbnailView.h -o build/moc_ThumbnailView.cpp

build/moc_ImageItem.cpp: src/ImageItem.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/ImageItem.h -o build/moc_ImageItem.cpp

build/moc_CameraThread.cpp: src/ImageItem.h \
		src/CameraParameters.h \
		src/CameraThread.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/CameraThread.h -o build/moc_CameraThread.cpp

build/moc_ScrollArea.cpp: src/ScrollArea.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/ScrollArea.h -o build/moc_ScrollArea.cpp

build/moc_CameraParameters.cpp: src/CameraParameters.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/CameraParameters.h -o build/moc_CameraParameters.cpp

build/moc_SettingsTree.cpp: src/SettingsTree.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/SettingsTree.h -o build/moc_SettingsTree.cpp

build/moc_AdjustmentWidget.cpp: src/OverlayWidget.h \
		linux/omapfb.h \
		src/CameraParameters.h \
		src/SettingsTree.h \
		src/AdjustmentWidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/AdjustmentWidget.h -o build/moc_AdjustmentWidget.cpp

=== debian/changelog ===
fcamera (0.1.6-1) unstable; urgency=low

  * Added an LED blinking device to blink the front LED when a picture is taken

  * Fixed in fcam-dev: DNGs now understood by 2010 Adobe Raw process and dcraw. Fixed a bug in color interpretation in Adobe Raw process. Various performance improvements and bugfixes (see the fcam-dev changelog).
	
 -- Andrew Adams <abadams@stanford.edu>  Mon, 16 Aug 2010 13:35:00 -0700

fcamera (0.1.5-1) unstable; urgency=low

  * Added widgets to visualization extended settings for turning on and off capture sound/animation.
  
  * Changed trigger for capture animations to only fire once per burst captured.

 -- David Jacobs <dejacobs@cs.stanford.edu>  Mon, 16 Aug 2010 13:35:00 -0700
 

fcamera (0.1.4-1) unstable; urgency=low

  * Added snapshot animation showing photos being added to the thumbnail view.

  * Added warning message informing the user when the lens cover is closed.
  
  * Modified the overlay cleanup code to fix green flashing problem without requiring a reboot.

 -- David Jacobs <dejacobs@cs.stanford.edu>  Tue, 10 Aug 2010 5:35:00 -0700
 

## fcamera 0.1.7-1

=== Makefile ===
#############################################################################
# Makefile for building: fcamera
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Sep 24 17:03:43 2010
# Project:  fcamera.pro
# Template: app
# Command: c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-pr12/bin/qmake.exe -unix -o Makefile fcamera.pro
#############################################################################

first: release
install: release-install
uninstall: release-uninstall
MAKEFILE      = Makefile
QMAKE         = c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-pr12/bin/qmake.exe
DEL_FILE      = rm
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir
COPY          = cp
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = mv
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir
SUBTARGETS    =  \
		release \
		debug

release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall
debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall

Makefile: fcamera.pro  c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/win32-g++/qmake.conf c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri \
		c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/release.prf \
		c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/debug_and_release.prf \
		c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf \
		c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf \
		c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf \
		c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf \
		c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf
	$(QMAKE) -unix -o Makefile fcamera.pro
c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri:
c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/release.prf:
c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/debug_and_release.prf:
c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf:
c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf:
c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf:
c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf:
c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf:
c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf:
c:/Eddy/School/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile fcamera.pro

qmake_all: FORCE

make_default: release-make_default debug-make_default FORCE
make_first: release-make_first debug-make_first FORCE
all: release-all debug-all FORCE
clean: release-clean debug-clean FORCE
distclean: release-distclean debug-distclean FORCE
	-$(DEL_FILE) Makefile

debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -r -us -uc -d -I\.svn; mv ../$(QMAKE_TARGET)_*{.dsc,.tar.gz,_source.changes} .

debian-bin:
	dpkg-buildpackage -b -r -uc -d; mv ../$(QMAKE_TARGET)_*_armel.{deb,changes} .

compiler_clean:
	-$(DEL_FILE) $(TARGET)

go: $(TARGET)
	mad remote -r N900 send $(TARGET); mad remote -r N900 run $(QMAKE_TARGET)

gobug: $(TARGET)
	mad remote -r N900 send $(TARGET); mad remote -r N900 debug $(QMAKE_TARGET)

release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
mocclean: release-mocclean debug-mocclean

release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
mocables: release-mocables debug-mocables
FORCE:

$(MAKEFILE).Release: Makefile
$(MAKEFILE).Debug: Makefile

=== debian/changelog ===
fcamera (0.1.7-1) unstable; urgency=low

  * "Fixed" in fcam-dev: Thumbnails are now readable by dcraw (and derived libraries like libraw). Once again, dcraw fails to follow the tiff spec.
	
  * Made the LED blinker clean up after itself (so that regular notifications work after using fcamera), and gave it better error handling.

 -- Andrew Adams <abadams@stanford.edu>  Thu, 23 Sep 2010 15:31:00 -0700	
	

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/multimedia
 Priority: extra
 Maintainer: David Jacobs <dejacobs@cs.stanford.edu>
-Build-Depends: libqt4-dev, pulseaudio-dev, fcam-dev, debhelper (>= 5)
+Build-Depends: libqt4-dev, pulseaudio-dev, fcam-dev, libjpeg62-dev, debhelper (>= 5)
 Standards-Version: 3.7.3
 Homepage: http://fcam.garage.maemo.org/

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	dh_testdir
 	# Add here commands to configure the package.
 
-	qmake
+	qmake fcamera.pro
 	touch configure-stamp
